#ifndef PHC_H_
#define PHC_H_

#include "v3.h"
#include "m33.h"

class PHC {

  V3 a, b, c, C;
  int w, h;
public:
  PHC(int _w, int _h, float hfov);
  bool Project(V3 P, V3 &projP);
  M33 GetCamMat();
  V3 VD();
  float FocalLength();
  void SetFocalLength(float fp);
  void IncreaseFocalLength(float fls);
};

#endif